<?php
/*
- 
-
*/
include_once 'sys/fnc.php';
include_once 'sys/head.php';

if (!isset($_SESSION['user_id'])) {
if (isset($_GET['login']) && isset($_GET['pass']) && mysql_real_escape_string($_GET['login']) && mysql_real_escape_string($_GET['pass'])) {
$login = mysql_real_escape_string($_GET['login']);
$pass = mysql_real_escape_string($_GET['pass']);
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `login` = '". $login ."' AND `pass` = '". in_md5($pass) ."' LIMIT 1"), 0)) {
$user = mysql_fetch_object(mysql_query("SELECT `id` FROM `user` WHERE `login` = '". $login ."' AND `pass` = '". in_md5($pass) ."' LIMIT 1"));
setcookie('login', $login, time()+60*60*24*14);
setcookie('pass', in_md5($pass), time()+60*60*24*14);
$_SESSION['user_id'] = $user->id;
echo '<div class="head">Успешно</div>

<div class="menu_link">Успешно!</div>
<div class="post0">
<a href="/">Перейти на сайт</a>
</div>';
mysql_query("INSERT INTO `logs_user` (`id_user`, `ip`, `ua`, `time`, `success`, `method`) values ('$user->id', '".html($_SERVER['REMOTE_ADDR'])."', '".html($_SERVER['HTTP_USER_AGENT'])."', '".time()."', '1', '1')");
exit;
} else {
echo '<div class="head">Ошибка</div>

<div class="menu_link">Ошибка!</div>
<div class="post0">
Неправильный логин и пароль
</div>';
mysql_query("INSERT INTO `logs_user` (`id_user`, `ip`, `ua`, `time`, `success`, `method`) values ('$user->id', '".html($_SERVER['REMOTE_ADDR'])."', '".html($_SERVER['HTTP_USER_AGENT'])."', '".time()."', '0', '1')");

echo '<div class="menu"><a href="/"> На главную</a></div>';
include 'sys/foot.php';
exit;
}
}
}

if (isset($_POST['submit'])) {
$login = mysql_real_escape_string($_POST['login']);
$password = mysql_query("SELECT `pass` FROM `user` WHERE `login` = '$login' LIMIT 1");
if (mysql_num_rows($password) == 1) {
$pass = mysql_real_escape_string($_POST['pass']);
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `login` = '". $login ."' AND `pass` = '". in_md5($pass) ."' LIMIT 1"), 0)) {
$user = mysql_fetch_object(mysql_query("SELECT `id` FROM `user` WHERE `login` = '". $login ."' AND `pass` = '". in_md5($pass) ."' LIMIT 1"));
header("Location: /scripts/logs_user.php");
setcookie('login', $login, time()+60*60*24*14);
setcookie('pass', in_md5($pass), time()+60*60*24*14);
$_SESSION['user_id'] = $user->id;

mysql_query("INSERT INTO `logs_user` (`id_user`, `ip`, `ua`, `time`, `success`, `method`) values ('$user->id', '".html($_SERVER['REMOTE_ADDR'])."', '".html($_SERVER['HTTP_USER_AGENT'])."', '".time()."', '1', '2')");

exit;
} else {
$error = true;
$errort .= '<div class="head">Ошибка</div>

<div class="menu_link">Ошибка!</div>
<div class="post0">
Неправильный логин или пароль
</div>';
mysql_query("INSERT INTO `logs_user` (`id_user`, `ip`, `ua`, `time`, `success`, `method`) values ('$user->id', '".html($_SERVER['REMOTE_ADDR'])."', '".html($_SERVER['HTTP_USER_AGENT'])."', '".time()."', '0', '1')");
}
} else {
$error = true;
$errort .= '<div class="head">Ошибка</div>

<div class="menu_link">Ошибка!</div>
<div class="post0">
Неправильный логин и пароль 
</div>';
}
echo $errort;
}
if (!isset($_SESSION['user_id'])) {
echo '	<div class="head">Авторизация</div>

<div class="menu_link">Авторизация</div>
<div class="post0">


						<form method="get">Логин<br>
							<input type="text" class="user" name="login" placeholder="Введите ваш логин" required="">
							<br>Пароль<br><input type="password" name="pass" class="" placeholder="Введите ваш пароль">
							<br><input type="submit"  value="Вход">
							</div></div>';
}else{
echo '<div class="head">Ошибка</div>

<div class="menu_link">Ошибка!</div>
<div class="post0">
Обновите страницу!
</div>';
}
/* 
======================
Вывод с аккаунта 
======================
*/
if (isset($_GET['exit'])){
setcookie('id_user');
setcookie('pass');
session_destroy();
header('Location: /');
exit;
}
include_once 'sys/foot.php';

?>